Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenitcalls`list-processes'

From: martin rudalics <[email-masked]>
Date: Mon, 06 Aug 2012 17:29:24 +0200

> In case it helps you in investigating that (other) bug:
 >
 > This problem is not specific to *Help*.  After I load your code all
 > special-display is broken.  It does not matter how the purported special-display
 > frame is created (e.g. by matching `special-display-regexps' or using a
 > special-display function as in the case of *Help*).
 >
 > Buffers that without your code are special-display, hence are in dedicated
 > frames, no longer have dedicated frames after loading your code.
 >
 > HTH.

No.  If, with emacs -Q, I do

(progn
   (load ".../with-temp-buffer-window.el")
   (setq special-display-buffer-names '("*Process List*"))
   (display-buffer (get-buffer-create "*Process List*")))

I get the buffer *Process List* on a separate frame, in a strongly
dedicated window and with a `quit-restore' window parameter as

((quit-restore frame frame #<window 3 on *scratch*> #<buffer *Process List*>))

If I do `quit-window' in that window, the frame is iconified.  Tested
with Emacs 24.1 release and the latest trunk version I was able to
build.  If you get different results, there's nothing I can do.

martin